Subject: Re: GIT on MinGW problem

From: Johannes Sixt <[email-masked]>
Date: Tue, 29 May 2007 15:24:41 +0200

Marius Storm-Olsen wrote:
> 
> Johannes Schindelin said the following on 29.05.2007 14:11:
> >> Also, the /bin/gitk.bat file should rather be
> >> @"%~d0%~p0wish84.exe" "%~d0%~p0gitk" %* than the current
> >> hardcoded path. (Probably won't work with command.com, but who
> >> uses that for development nowadays anyways, right ;-)
> >
> > We're open source, so we _can_ do better than leaving people stuck
> > on older hardware behind.
> >
> > And I don't know what this garbage means. (I checked with GMane,
> > and it looks the same there.) I'd rather have something readable,
> > even if it is slightly slower or has to be adjusted when
> > installing.
> 
> %~d0 = expands %0 to a drive letter only
> %~p0 = expands %0 to a path only
> 
> so, for
>      C:\foo\bar\baz\gitk.bat
> %~d0%~p0gitk would expand to
>      C:\foo\bar\baz\gitk
> 
> Looking at the docs for cmd's call (run 'help call'), I see now that
> it can be written
>      %~dp0gitk
> as well..

But... the docs also say that this stuff is only available if command
extensions are turned on. Are they on by default?

(I cannot tell because I remember faintly that I fiddled with the
corresponding registry setting in the past, but don't know whether it
was on or off at the beginning.)

-- Hannes